Description

there is an issue importing the V-ROAD-CURB------E shapefile into GISAF. I am attaching a screenshot of the error message. I am

following the same procedure as i did for other shapefiles such as V-ROAD-UPVD------E though i didnt face this issue.

Associated revisions

Revision ea448dc7 - 21/06/2018 18:02 - Philippe May

Fixes #6058: add checks and detail errors on geometry types while importing shapefiles

History

#1 - 21/06/2018 16:12 - Philippe May

The error is quite clear: the geometries should be "polygons", whereas the shapefile you're trying to import defines "multipolygons".

This page explains the difference:

https://gis.stackexchange.com/questions/225368/understanding-difference-between-polygon-and-multipolygon-for-shapefiles-in-qgis

I'll dig a bit more in this example.

#2 - 21/06/2018 18:03 - Philippe May

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset gisaf|ea448dc78109414f8f4d6875831a2f5572f755f8.

#3 - 21/06/2018 18:07 - Philippe May

Added explicit error message for this case.

In the shapefile given as example, that's geometry 24, which has 2 parts.

By the way, QGis can display the number of parts in each geometry, using the formula: "num_geometries($geometry)". This can help.

#4 - 22/06/2018 09:57 - Pavneet Kaur

Could upload it now! thanks!

#5 - 06/02/2019 09:22 - Pavneet Kaur

- Status changed from Resolved to Closed
https://gis.stackexchange.com/questions/225368/understanding-difference-between-polygon-and-multipolygon-for-shapefiles-in-qgis
https://redmine.auroville.org.in/projects/gisaf/repository/revisions/ea448dc78109414f8f4d6875831a2f5572f755f8
